#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 retry
version:              0.9.0.0
visibility:           public
id:                   retry-0.9.0.0-AHZSJ6fg51G9xXxZ2MWlgi
key:                  retry-0.9.0.0-AHZSJ6fg51G9xXxZ2MWlgi
license:              BSD-3-Clause
copyright:            Ozgun Ataman, Soostone Inc
maintainer:           ozgun.ataman@soostone.com
author:               Ozgun Ataman
homepage:             http://github.com/Soostone/retry
synopsis:             Retry combinators for monadic actions that may fail
description:
    This package exposes combinators that can wrap arbitrary
    monadic actions. They run the action and potentially retry
    running it with some configurable delay for a configurable
    number of times.
    The purpose is to make it easier to work with IO and
    especially network IO actions that often experience temporary
    failure and warrant retrying of the original action. For
    example, a database query may time out for a while, in which
    case we should hang back for a bit and retry the query instead
    of simply raising an exception.

category:             Control
abi:                  b48cd27b23a46c413ad40fe89700ae93
exposed:              True
exposed-modules:      Control.Retry
import-dirs:          /usr/lib/ghc-9.0.1/site-local/retry-0.9.0.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/retry-0.9.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/retry-0.9.0.0
hs-libraries:         HSretry-0.9.0.0-AHZSJ6fg51G9xXxZ2MWlgi
depends:
    base-4.15.0.0 exceptions-0.10.4 ghc-prim-0.7.0
    random-1.2.1-8FQ7ZTDXKjB8vKwDPZ78R1 transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-retry/html/retry.haddock
haddock-html:         /usr/share/doc/haskell-retry/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

